ISO15693Entity

com.rscja.deviceapi.entity

## Class ISO15693Entity

- java.lang.Object
- - com.rscja.deviceapi.entity.SimpleRFIDEntity
  - - com.rscja.deviceapi.entity.ISO15693Entity

-     public class ISO15693Entity
      extends SimpleRFIDEntity

  ISO15693协议数据实体
  ISO15639 protocol data entity
  Author:
    liuruifeng

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISO15693Entity(java.lang.String id, java.lang.String type)` 构造函数 Constructor
    `ISO15693Entity(java.lang.String id, java.lang.String type, char[] originalUID)` 构造函数 Constructor
    `ISO15693Entity(java.lang.String id, java.lang.String type, char[] originalUID, byte[] id_byte)`
    `ISO15693Entity(java.lang.String id, java.lang.String type, char[] originalUID, java.lang.String afi, java.lang.String desfid)` 构造函数 Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAFI()` 获取AFI值 acquire AFI value
    `java.lang.String` | `getDESFID()` 获取DESFID值 acquire DESFID value
    `char[]` | `getOriginalUID()` 获取标签原始的UID acquire original UID of tag
    `void` | `setAFI(java.lang.String aFI)` 设置AFI值 setup AFI value
    `void` | `setDESFID(java.lang.String dESFID)` 设置DESFID值 setup DESFID value
    `void` | `setOriginalUID(char[] originalUID)` 设置标签原始的UID setup original UID of tag

    - ### Methods inherited from class com.rscja.deviceapi.entity.SimpleRFIDEntity

      `getData, getId, getIdBytes, getType, setData, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ISO15693Entity

          public ISO15693Entity(java.lang.String id,
                                java.lang.String type)

      构造函数
      Constructor
      Parameters:
        `id` - 标签ID
        tag ID
        `type` - 标签类型
        tag type

    - #### ISO15693Entity

          public ISO15693Entity(java.lang.String id,
                                java.lang.String type,
                                char[] originalUID)

      构造函数
      Constructor
      Parameters:
        `id` - 标签ID
        tag ID
        `type` - 标签类型
        tag type
        `originalUID` - 标签原始的UID
        tag original UID

    - #### ISO15693Entity

          public ISO15693Entity(java.lang.String id,
                                java.lang.String type,
                                char[] originalUID,
                                byte[] id_byte)

    - #### ISO15693Entity

          public ISO15693Entity(java.lang.String id,
                                java.lang.String type,
                                char[] originalUID,
                                java.lang.String afi,
                                java.lang.String desfid)

      构造函数
      Constructor
      Parameters:
        `id` - 标签ID
        tag ID
        `type` - 标签类型
        tag type
        `originalUID` - 标签原始的UID
        tag original UID
        `afi` - afi值
        afi value
        `desfid` - desfid值
        desfid value

  - ### Method Detail

    - #### getOriginalUID

          public char[] getOriginalUID()

      获取标签原始的UID
      acquire original UID of tag
      Returns:
        标签原始的UID

    - #### setOriginalUID

          public void setOriginalUID(char[] originalUID)

      设置标签原始的UID
      setup original UID of tag
      Parameters:
        `originalUID` - 标签原始的UID
        tag original UID

    - #### getAFI

          public java.lang.String getAFI()

      获取AFI值
      acquire AFI value
      Returns:
        AFI值

    - #### setAFI

          public void setAFI(java.lang.String aFI)

      设置AFI值
      setup AFI value
      Parameters:
        `aFI` - AFI值
        AFI value

    - #### getDESFID

          public java.lang.String getDESFID()

      获取DESFID值
      acquire DESFID value
      Returns:
        DESFID值

    - #### setDESFID

          public void setDESFID(java.lang.String dESFID)

      设置DESFID值
      setup DESFID value
      Parameters:
        `dESFID` - DESFID值
        DESFID value